FIX ERROR — PG::InsufficientPrivilege: ERROR: permission denied to create extension «uuid-ossp»

Ошибка в связке Ruby+PostgreSQL

rake aborted!
StandardError: An error has occurred, this and all later migrations canceled:

PG::InsufficientPrivilege: ERROR: permission denied to create extension "uuid-ossp"
HINT: Must be superuser to create this extension.
: CREATE EXTENSION IF NOT EXISTS "uuid-ossp"
  • Причина:

Пользователю необходимы привилегии суперпользователя.

  • Решение:
ALTER USER user_name WITH SUPERUSER;
0 0 vote
Article Rating

Метки: Метки

Подписаться
Уведомление о
guest
0 Комментарий
Inline Feedbacks
View all comments